Debian Bug report logs - #211213
grsecurity 1.9.12 for debian kernel 2.4.22

version graph

Package: kernel-patch-grsecurity2; Maintainer for kernel-patch-grsecurity2 is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for kernel-patch-grsecurity2 is src:linux-patch-grsecurity2.

Reported by: Domenico Andreoli <cavok@debian.org>

Date: Tue, 16 Sep 2003 15:03:05 UTC

Severity: wishlist

Tags: confirmed, help, patch, wontfix

Merged with 194225, 199519, 206458

Fixed in versions 2.0.1-2, kernel-patch-grsecurity2/2.0.1-2

Done: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#211213; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to cavok@filibusta.crema.unimi.it (Domenico Andreoli):
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: cavok@filibusta.crema.unimi.it (Domenico Andreoli)
To: submit@bugs.debian.org
Subject: grsecurity 1.9.12 for debian kernel 2.4.22
Date: Tue, 16 Sep 2003 16:53:58 +0200
Package: kernel-patch-2.4-grsecurity
Version: N/A
Severity: wishlist
Tags: patch

hi,

at http://filibusta.crema.unimi.it/~cavok/ you can find the grsecurity
1.9.12 patch for the kernel 2.4.22 provided by kernel-source-2.4.22
debian package.

as you can see it if far from being perfect but it's much better than
nothing.

cheers
cavok

-----[ Domenico Andreoli, aka cavok
 --[ http://filibusta.crema.unimi.it/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#211213; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #10 received at 211213@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 211213@bugs.debian.org
Subject: Thank you, but...
Date: Sun, 21 Sep 2003 13:35:30 +0200
[Message part 1 (text/plain, inline)]
... I have decided not to support grsecurity for 2.4.2x kernels and
up. I do not want to take the functionality of randomisation in
ip_output out because many users apply this patch to the vanilla
source, which makes a lot more sense.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#211213; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #15 received at 211213@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: undisclosed-recipients: ;
Subject: grsecurity bugs
Date: Sun, 21 Sep 2003 14:01:29 +0200
[Message part 1 (text/plain, inline)]
I have uploaded a new version of grsecurity. However, it won't
support Debian kernels 2.4.20 and up. README.2.4.2x in the package
will tell you why. In addition:

  http://lists.debian.org/debian-devel/2003/debian-devel-200309/msg01133.html

I am sorry if this inconveniences you. I don't have a choice, not
only because I can't afford to put more time into this, but also
because I am not going to remove functionality from grsecurity,
which would be required to cater for the Debian kernels.

Please complain to the kernel maintainer(s) if you don't like this.
Or just use a vanilla kernel source tree.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Tags added: help, confirmed, wontfix Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from cavok@filibusta.crema.unimi.it (Domenico Andreoli) to Domenico Andreoli <cavok@debian.org>. Request was from Domenico Andreoli <cavok@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 199519 206458 211213. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-patch-2.4-grsecurity' to `kernel-patch-grsecurity2'. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Domenico Andreoli <cavok@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 194225-done@bugs.debian.org (full text, mbox):

From: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>
To: 267851-done@bugs.debian.org, 194225-done@bugs.debian.org, 199519-done@bugs.debian.org, 206458-done@bugs.debian.org, 211213-done@bugs.debian.org
Subject: fixed in 2.0.1-2
Date: Sun, 19 Sep 2004 22:18:26 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Sep 2004 17:37:27 +0000
Source: kernel-patch-grsecurity2
Binary: kernel-patch-grsecurity2
Architecture: source all
Version: 2.0.1-2
Distribution: unstable
Urgency: medium
Maintainer: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Changed-By: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Description: 
 kernel-patch-grsecurity2 - grsecurity kernel patch - new major upstream version
Changes: 
 kernel-patch-grsecurity2 (2.0.1-2) unstable; urgency=medium
 .
   * Port grsecurity2-2.4.27 to the Debian kernel, this makes easier for
     users to follow Debian kernels with backported security fixes once
     stable (Sarge) is released. Thanks for everyone testing it!
   * Include PaX patches as well.
   * Update template descriptions, thanks to Luk Claes, Eric and Hideki
     Yamane again.
Files: 
 da6f56b55c156005170b49d83a9b5c50 574 devel extra kernel-patch-grsecurity2_2.0.1-2.dsc
 3f76987dc5083a3a949a248f2baa7e11 796274 devel extra kernel-patch-grsecurity2_2.0.1-2.tar.gz
 7d04680fd5fede4858494e760f1855ec 802936 devel extra kernel-patch-grsecurity2_2.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBSzQiMDatjqUaT90RAlR3AJ9fu2wf+rYI9paa3RgHIfxIhZkMiACgjHf7
myAdnkR2UlY/R6Rb4uMoMYc=
=dPlA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:23:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.